Laravel 5.7.28 Released

The big news yesterday was the next major release—Laravel 5.8. Be sure to check the upgrade guide and the release details!

The Laravel team also released Laravel 5.7.28 yesterday with added support for Pheanstalk 4.x and configuration of token guard keys.

Laravel 5.7 apps may now require either Pheanstalk 4.x or 3.x—both are handled transparently through the BeanstalkdQueue queue driver. Starting in Laravel 5.8, Pheanstalk 4.x is a requirement.

Users can configure the token guard input and storage keys in the auth guard configuration with the input_key and storage_key configuration keys.

Lastly, with the release of Laravel 5.8, bug fixes for Laravel 5.7 will end on March 4th, 2019 and security fixes will continue until September 4th, 2019.

You can see the full list of fixes below, and the whole diff between 5.7.27 and 5.7.28 on GitHub. The full release notes for Laravel 5.7 are available on the GitHub release of v5.7.28:

v5.7.28

Added

  • Add support for Pheanstalk 4.x (#27622)
  • Allow configuration of token guard keys (#27585)

Changed

  • Update vue preset to exclude @babel/preset-react (#27645)
  • Reflash the session for the broadcasting auth call (#27647)
  • Improving readability in AuthenticateWithBasicAuth Middleware (#27661)
  • Use safe container getter on Pipeline (#27648)

Fixed

  • Fixed Postgres grammar when using union queries (#27589)
  • Fixed an issue when using Mail::queue to queue Mailables (#27618)
  • Fixed error in Foundation\Exceptions\Handler (#27632)